module Hermes
  class Engine < ::Rails::Engine
    isolate_namespace Hermes

    initializer 'hermes.autoload', before: :set_autoload_paths do |app|
      app.config.autoload_paths << root.join('lib', 'hermes')
    end

    initializer 'load_devise_locales_file' do |app|
      app.config.i18n.load_path += Dir[Hermes::Engine.root.join('config', 'locales', 'devise.fr.yml')]
    end

    initializer 'hermes.load_overrides' do
      Rails.application.config.to_prepare do
        overrides_path = Engine.root.join('app', 'overrides', '**', '*.rb')
        Dir.glob(overrides_path).each do |override_file|
          load override_file
        end
      end
    end
  end
end
